## pgpool2 3.1.2

=== test/timestamp/Makefile ===

PROGRAM=timestamp-test
topsrc_dir=../..
CPPFLAGS=-I$(topsrc_dir) -I$(shell pg_config --includedir)
CFLAGS=-Wall -O0 -g

OBJS=main.o \
	 $(topsrc_dir)/strlcpy.o \
	 $(topsrc_dir)/pool_timestamp.o \
	 $(topsrc_dir)/parser/libsql-parser.a

all: all-pre $(PROGRAM)

all-pre:
	$(MAKE) -C $(topsrc_dir)/parser
	$(MAKE) -C $(topsrc_dir) strlcpy.o
	$(MAKE) -C $(topsrc_dir) pool_timestamp.o

$(PROGRAM): $(OBJS)
	$(CC) $(OBJS) -o $(PROGRAM)

main.o: main.c

test: $(PROGRAM)
	./run-test parse_schedule

clean:
	-rm *.o
	-rm $(PROGRAM)
	-rm result/*.out
	-rm test.diff

.PHONY: all all-pre test clean

## pgpool2 3.0.4

=== debian/changelog ===
pgpool2 (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Use format 3.0 (quilt).

 -- Christoph Berg <myon@debian.org>  Fri, 10 Jun 2011 10:18:29 +0200

pgpool2 (3.0.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Mar 2011 11:53:04 +0200

pgpool2 (3.0.3-1) experimental; urgency=low

  * New maintainer, thanks Rodolphe for the permission to take over.
  * New upstream version.
    + Builds correctly. Closes: #556059, #607841.
  * Convert to use quilt and dh 7.
  * Move example files to /usr/share/doc.
  * Patch example config files, thanks Andre Felipe Machado.
    Also remove manpage page. Closes: #590570.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Mar 2011 17:23:22 +0200

pgpool2 (2.2.5-2) experimental; urgency=low

  * Auto-configure listen port in postinst

 -- Rodolphe Quiédeville <rodolphe@quiedeville.org>  Mon, 16 Nov 2009 18:23:56 +0100

pgpool2 (2.2.5-1) experimental; urgency=low

  [ Rodolphe Quiédeville ]
	
  * New upstream release. (Closes: #464345)
  * New Maintainer. (Closes: #471826, #491893)
  * Move pid file to /var/run/postgresql

  [ Andreas Putzo ]
  
  * Bumped policy to 3.8.0, without changes.
  * Update init script to source correct default/pgpool2. (Closes: #497952)
  * Move conffiles to /etc/pgpool2/ in preinst/postinst.
    Explain new config file location in README.Debian.
    (Closes: #428802)
  * Mention license of parser/gram.c in debian/copyright.
  * Add manpage.patch to fix a typo that caused a lintian warning.

 -- Rodolphe Quiédeville <rodolphe@quiedeville.org>  Mon, 12 Oct 2009 14:37:47 +0200

pgpool2 (1.3-2) unstable; urgency=low

  * Updated standards version
  * Fixed LSB headers in init.d script (closes: #471100)
  * Added Vcs-* control fields
  * Added linker option --as-needed

 -- Peter Eisentraut <petere@debian.org>  Thu, 20 Mar 2008 13:49:05 +0100

pgpool2 (1.3-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 19 Nov 2007 10:48:32 +0100

pgpool2 (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Added Homepage control field
  * Install pool_hba.conf by default

 -- Peter Eisentraut <petere@debian.org>  Sat, 06 Oct 2007 12:34:20 +0200

pgpool2 (1.2-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Fri, 10 Aug 2007 12:03:41 +0200

pgpool2 (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Fri, 15 Jun 2007 21:45:16 +0200

pgpool2 (1.0.2-1) unstable; urgency=low

  * Initial release (closes: #390515)

 -- Peter Eisentraut <petere@debian.org>  Wed, 21 Mar 2007 13:18:33 +0100

=== debian/control ===
Source: pgpool2
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libpq-dev
Standards-Version: 3.9.2
Homepage: http://pgpool.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/pgpool2/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/pgpool2/

Package: pgpool2
Architecture: any
Depends: lsb-base (>= 3.0-3), postgresql-common (>= 26),
 ${misc:Depends}, ${shlibs:Depends}
Enhances: postgresql
Conflicts: pgpool
Replaces: pgpool
Description: connection pool server and replication proxy for PostgreSQL
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client. It provides the following features:
 .
  * Connection Pooling
  * Replication
  * Load Balance
  * Limiting Exceeding Connections
  * Parallel Query
 .
 pgpool-II talks PostgreSQL's backend and frontend protocol, and relays a
 connection between them. Therefore, a database application (frontend) thinks
 that pgpool-II is the actual PostgreSQL server, and the server (backend) sees
 pgpool-II as one of its clients. Because pgpool-II is transparent to both the
 server and the client, an existing database application can be used with
 pgpool-II almost without a change to its sources.
 .
 This is version 3 of pgpool-II, the second generation of pgpool.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

D=debian/pgpool2

override_dh_auto_configure:
	./configure --prefix=/usr --sysconfdir=/etc/pgpool2 --bindir=/usr/sbin --disable-rpath --libdir=/usr/lib/pgpool2

override_dh_install:
	dh_install
	rm -f $(addprefix $D/usr/lib/pgpool2/libpcp.,a la so)
	rm -r $D/usr/include/
	rm $D/usr/share/pgpool-II/pgpool.pam
	mv $D/usr/share/pgpool-II $D/usr/share/pgpool2

override_dh_installexamples:
	dh_installexamples
	mv $D/etc/pgpool2/pgpool.conf.sample   $D/etc/pgpool2/pgpool.conf
	mv $D/etc/pgpool2/pcp.conf.sample      $D/etc/pgpool2/pcp.conf
	mv $D/etc/pgpool2/pool_hba.conf.sample $D/etc/pgpool2/pool_hba.conf
	mkdir -p $D/usr/share/doc/pgpool2/examples
	mv $D/etc/pgpool2/*sample* $D/usr/share/doc/pgpool2/examples

%:
	dh $@

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000055 /frs/download.php/[0-9]+/pgpool-II-([0-9.]+).tar.gz  debian  uupdate

## pgpool2 3.1.1

=== debian/changelog ===
pgpool2 (3.1.1-1) unstable; urgency=low

  * New upstream release.  Closes: #646116.
    Change the lock method of insert_lock. The previous insert_lock uses row
    locking against the sequence relation, but the current one uses row
    locking against pgpool_catalog.insert_lock table. The reason is that
    PostgreSQL core developers decided to disallow row locking against the
    sequence relation to avoid an internal error which it leads. So creating
    insert_lock table in all databases which are accessed via pgpool-II
    beforehand is required. If does not exist insert_lock table, pgpool-II
    locks the insert target table. This behavior is same as pgpool-II 2.2 and
    2.3 series.
  * Build pgpool-recovery pgpool-regclass pgpool-walrecrunning server modules.
    Closes: #630465.
  * Build pgpool_adm server module.
  * Split libpcp.so into a separate package.
    There is already another libpcp in Debian, libpcp3/libpcp3-dev, therefore
    we call our packages libpgpool0/libpgpool-dev. We have a file conflict
    with /usr/lib/libpcp.{a,so}, so libpgpool-dev conflicts with libpcp3-dev.
    As they are already at SONAME 3 while we are at 0, the other package will
    not problems with our files in /usr/lib. (The alternative solution of
    putting libpcp.so.* in /usr/lib/pgpool2 would require setting RPATH in
    several places, which was both unsupported by the current build system
    (despite the documentation claiming otherwise) and also pretty ugly.)

 -- Christoph Berg <myon@debian.org>  Thu, 22 Dec 2011 18:40:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: database
 Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libpq-dev
+Build-Depends: debhelper (>= 7.0.50~), libpq-dev, postgresql-server-dev-all
 Standards-Version: 3.9.2
-Homepage: http://pgpool.projects.postgresql.org/
+Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/pgpool2/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/pgpool2/
 
 Package: pgpool2
 Architecture: any
 Depends: lsb-base (>= 3.0-3), postgresql-common (>= 26),
- ${misc:Depends}, ${shlibs:Depends}
+ ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
 Enhances: postgresql
 Conflicts: pgpool
 Replaces: pgpool
@@ -33,3 +33,36 @@
  pgpool-II almost without a change to its sources.
  .
  This is version 3 of pgpool-II, the second generation of pgpool.
+
+Package: libpgpool0
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: pgpool control protocol library
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains the pgpool control
+ protocol library (libpcp).
+
+Package: libpgpool-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+# We also provide /usr/lib/libpcp.{a,so}
+Conflicts: libpcp3-dev
+Description: pgpool control protocol library - headers
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains headers for the pgpool
+ control protocol library (libpcp).
+
+Package: postgresql-9.1-pgpool2
+Architecture: any
+Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 9.1 server:
+ .
+  * pgpool_adm
+  * pgpool-recovery
+  * pgpool-regclass
+  * pgpool-walrecrunning (PostgreSQL 9.0 and later)
+

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR = .
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

LDFLAGS += -Wl,--as-needed

D=debian/pgpool2

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C sql clean
	$(MAKE) -C pgpool_adm clean USE_PGXS=1

override_dh_auto_configure:
	./configure --prefix=/usr \
		--sysconfdir=/etc/pgpool2 \
		--bindir=/usr/sbin \
		--includedir=/usr/include/pgpool2 \
		--disable-rpath

override_dh_auto_install:
	dh_auto_install
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
		echo "# $$v ##################################################################" ; \
		PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config ; \
		$(MAKE) -C sql clean PG_CONFIG=$$PG_CONFIG ; \
		$(MAKE) -C sql PG_CONFIG=$$PG_CONFIG ; \
		$(MAKE) -C sql install DESTDIR=$(CURDIR)/debian/postgresql-$$v-pgpool2 PG_CONFIG=$$PG_CONFIG ; \
		if [ -f $$($$PG_CONFIG --includedir-server)/foreign/foreign.h ] ; then \
			$(MAKE) -C pgpool_adm clean USE_PGXS=1 PG_CONFIG=$$PG_CONFIG ; \
			$(MAKE) -C pgpool_adm USE_PGXS=1 PG_CONFIG=$$PG_CONFIG CFLAGS="$(CFLAGS) -I../pcp" LDFLAGS="$(LDFLAGS) -L../pcp/.libs" ; \
			$(MAKE) -C pgpool_adm install DESTDIR=$(CURDIR)/debian/postgresql-$$v-pgpool2 USE_PGXS=1 PG_CONFIG=$$PG_CONFIG ; \
		fi \
	done

override_dh_install:
	set -e ; for f in pgpool.conf pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
	dh_install --list-missing

%:
	dh $@

## pgpool2 3.1.2

=== debian/changelog ===
pgpool2 (3.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Mar 2012 16:37:29 +0100

pgpool2 (3.1.1-2) unstable; urgency=low

  * debian/control.in
    - libpgpool0: set Breaks to solve "fails to upgrade from squeeze"
      Thanks to Hideki Yamane for the patch.  Closes: #657418.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Jan 2012 20:04:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libpq-dev, postgresql-server-dev-all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/pgpool2/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/pgpool2/
@@ -37,6 +37,7 @@
 Package: libpgpool0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: pgpool2 (<< 3.1.1)
 Description: pgpool control protocol library
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains the pgpool control

## pgpool2 3.1.3

=== debian/changelog ===
pgpool2 (3.1.3-5) unstable; urgency=low

  * Create /var/run/postgresql on startup when missing.  Closes: #703696.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Apr 2013 11:07:43 +0200

pgpool2 (3.1.3-4) unstable; urgency=low

  * When installing a new config file, use group postgres/640.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Nov 2012 11:41:32 +0100

pgpool2 (3.1.3-3) unstable; urgency=low

  * Remove /etc/pgpool2/pgpool.conf on purge, ucf doesn't do that by itself.
    Closes: #674238.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Jun 2012 18:05:32 +0200

pgpool2 (3.1.3-2) unstable; urgency=low

  * Use ucf to handle /etc/pgpool2/pgpool.conf.  Closes: #671359.
    Also, try to keep the port number used instead of calling next_free_port
    on every upgrade.

 -- Christoph Berg <myon@debian.org>  Tue, 22 May 2012 14:40:44 +0200

pgpool2 (3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Apr 2012 17:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: pgpool2
 Architecture: any
-Depends: lsb-base (>= 3.0-3), postgresql-common (>= 26),
+Depends: lsb-base (>= 3.0-3), postgresql-common (>= 26), ucf,
  ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
 Enhances: postgresql
 Conflicts: pgpool

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,10 @@
 	done
 
 override_dh_install:
-	set -e ; for f in pgpool.conf pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
+	# pgpool.conf is handled by ucf
+	mkdir -p debian/tmp/usr/share/pgpool2
+	mv debian/tmp/etc/pgpool2/pgpool.conf.sample debian/tmp/usr/share/pgpool2/pgpool.conf
+	set -e ; for f in pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
 	dh_install --list-missing
 
 %:

## pgpool2 3.2.2

=== debian/changelog ===
pgpool2 (3.2.2-2.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-pgpool2-source-distribution=wheezy-
    19, git revision f045ac1e964412d649e888f5037f17b7de79bd7d)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 15 Feb 2013 16:17:43 +0100

pgpool2 (3.2.2-2) experimental; urgency=low

  * Build-Depend on bison, flex, and ruby and run tests in test/parser and
    test/timestamp.
  * Add autopkgtest support; run tests in test/jdbc.
  * pool.h: Point DEFAULT_PID_FILE_NAME at /var/run/postgresql/.
  * postinst: Fix permissions of /etc/pgpool2/pgpool.conf if it isn't readable
    for postgres.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Feb 2013 16:06:22 +0100

pgpool2 (3.2.2-1) experimental; urgency=low

  * New upstream release.
  * Update Vcs fields to point to git.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Feb 2013 10:21:42 +0100

pgpool2 (3.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2012 12:17:10 +0200

pgpool2 (3.2.0-1) experimental; urgency=low

  * New upstream release.
  * When installing a new config file, use group postgres/640.
  * Bump debhelper compat level to 9.
  * Add 9.2 to supported versions.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2012 00:26:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,13 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	$(MAKE) -C sql clean
+	rm -f config.log lex.yy.c
 	$(MAKE) -C pgpool_adm clean USE_PGXS=1
+	rm -rf test/jdbc/*.class test/jdbc/result test/jdbc/pgpool.properties
+	$(MAKE) -C test/parser clean
+	rm -rf test/parser/result test/parser/test.diff
+	$(MAKE) -C test/timestamp clean
+	rm -rf test/timestamp/result test/timestamp/test.diff
 
 override_dh_auto_configure:
 	./configure --prefix=/usr \
@@ -20,6 +26,15 @@
 		--bindir=/usr/sbin \
 		--includedir=/usr/include/pgpool2 \
 		--disable-rpath
+	# create directory here so we can unlink it in case autopkgtest leaves files owned by root behind
+	mkdir -p test/jdbc/result
+
+override_dh_auto_test:
+	dh_auto_test
+	$(MAKE) -C test/parser test
+	chmod +x test/timestamp/run-test
+	$(MAKE) -C test/timestamp test
+	# test/jdbc is executed by autopkgtest
 
 override_dh_auto_install:
 	dh_auto_install

## pgpool2 3.2.4

=== debian/changelog ===
pgpool2 (3.2.4-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/jdbc-tests: Fix $ADTTMP permissions to make tests work when
    running under adt-run.

  [ Christoph Berg ]
  * Enable OpenSSL and PAM support.
  * pgpool2.postinst: Only use first port number found in pgpool2.conf.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jun 2013 13:21:11 +0200

pgpool2 (3.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/tests/jdbc-tests: Disable batch and insert tests, they hang.

 -- Christoph Berg <myon@debian.org>  Sat, 11 May 2013 21:31:41 -0700

pgpool2 (3.2.3-1) experimental; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Apr 2013 11:19:55 +0200

pgpool2 (3.2.2-4) experimental; urgency=low

  * Remove "| libpg-java" again.  Blame: #693540.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Apr 2013 11:29:20 +0200

pgpool2 (3.2.2-3) experimental; urgency=low

  * Create /var/run/postgresql on startup when missing.  Closes: #703696.
  * debian/tests/control: Depend on | libpg-java for squeeze compatibility.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Apr 2013 10:48:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: database
 Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libpq-dev, postgresql-server-dev-all
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libpq-dev, postgresql-server-dev-all,
+ libpam0g-dev, libssl-dev,
+# test/parser:
+ bison, flex, ruby
+Standards-Version: 3.9.4
 Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
-Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/pgpool2/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/pgpool2/
+Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgpool2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgpool2.git
+XS-Testsuite: autopkgtest
 
 Package: pgpool2
 Architecture: any
@@ -36,6 +40,7 @@
 
 Package: libpgpool0
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: pgpool2 (<< 3.1.1)
 Description: pgpool control protocol library

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,9 @@
 		--sysconfdir=/etc/pgpool2 \
 		--bindir=/usr/sbin \
 		--includedir=/usr/include/pgpool2 \
-		--disable-rpath
+		--disable-rpath \
+		--with-openssl \
+		--with-pam
 	# create directory here so we can unlink it in case autopkgtest leaves files owned by root behind
 	mkdir -p test/jdbc/result

## pgpool2 3.3.2

=== sql/pgpool-recovery/Makefile ===
MODULES = pgpool-recovery
DATA_built = pgpool-recovery.sql
DATA = uninstall_pgpool-recovery.sql

EXTENSION = pgpool_recovery
DATA = pgpool_recovery--1.0.sql

# if you are using PostgreSQL 8.0 or later,
# using pg_config is recommended.
# if you are not, comment out following line and...
USE_PGXS = true
# set top_builddir to the PostgreSQL build source tree top.
# (for example /usr/local/src/postgresql-8.4) 
top_builddir = ../..

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgpool-recovery
#top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
pgpool2 (3.3.2-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 12 Feb 2014 12:36:36 -0500

pgpool2 (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * postinst: Do not die if pgpool2.conf was removed by the user (ucf will
    preserve this).
  * debian/tests/jdbc-tests: Reenable batch and insert tests.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 06 Feb 2014 16:18:08 +0100

pgpool2 (3.3.1-1ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to get new libtool macros for
    ppc64el (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Dec 2013 03:11:43 -0500

pgpool2 (3.3.1-1ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Dec 2013 03:00:30 -0500

pgpool2 (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Enable memcached support.  Closes: #721216.
  * Use "all" in debian/pgversions and B-D on pg-server-dev-all >= 148.
  * Prepend includedir-server to CFLAGS when building pgpool_adm.
  * walrecrunning is gone, remove it from description.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2013 11:48:29 +0200

pgpool2 (3.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #710558: Exceptions on COMMIT cause
    abnormal pgpool process termination and disconnects)
  * sql/pgpool-walrecrunning is gone, remove patch for it.
  * Fix two -Werror=format-security errors in watchdog/wd_packet.c.

 -- Christoph Berg <myon@debian.org>  Wed, 14 Aug 2013 08:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pgpool2
 Section: database
 Priority: optional
-Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), libpq-dev, postgresql-server-dev-all,
- libpam0g-dev, libssl-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Build-Depends: debhelper (>= 9), libpq-dev, postgresql-server-dev-all (>= 148~),
+ libpam0g-dev, libssl-dev, libmemcached-dev, dh-autoreconf,
 # test/parser:
  bison, flex, ruby
 Standards-Version: 3.9.4
@@ -59,16 +60,15 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-9.1-pgpool2
+Package: postgresql-9.3-pgpool2
 Architecture: any
-Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 9.1 server:
+ the PostgreSQL 9.3 server:
  .
   * pgpool_adm
-  * pgpool-recovery
-  * pgpool-regclass
-  * pgpool-walrecrunning (PostgreSQL 9.0 and later)
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	rm -rf test/parser/result test/parser/test.diff
 	$(MAKE) -C test/timestamp clean
 	rm -rf test/timestamp/result test/timestamp/test.diff
+	rm -rf debian/postgresql-*-pgpool2/ debian/*.substvars
 
 override_dh_auto_configure:
 	./configure --prefix=/usr \
@@ -27,7 +28,8 @@
 		--includedir=/usr/include/pgpool2 \
 		--disable-rpath \
 		--with-openssl \
-		--with-pam
+		--with-pam \
+		--with-memcached=/usr/include/libmemcached
 	# create directory here so we can unlink it in case autopkgtest leaves files owned by root behind
 	mkdir -p test/jdbc/result
 
@@ -49,7 +51,7 @@
 		$(MAKE) -C sql install DESTDIR=$(CURDIR)/debian/postgresql-$$v-pgpool2 PG_CONFIG=$$PG_CONFIG ; \
 		if [ -f $$($$PG_CONFIG --includedir-server)/foreign/foreign.h ] ; then \
 			$(MAKE) -C pgpool_adm clean USE_PGXS=1 PG_CONFIG=$$PG_CONFIG ; \
-			$(MAKE) -C pgpool_adm USE_PGXS=1 PG_CONFIG=$$PG_CONFIG CFLAGS="$(CFLAGS) -I../pcp" LDFLAGS="$(LDFLAGS) -L../pcp/.libs" ; \
+			$(MAKE) -C pgpool_adm USE_PGXS=1 PG_CONFIG=$$PG_CONFIG CFLAGS="-I$$($$PG_CONFIG --includedir-server) $(CFLAGS) -I../pcp" LDFLAGS="$(LDFLAGS) -L../pcp/.libs" ; \
 			$(MAKE) -C pgpool_adm install DESTDIR=$(CURDIR)/debian/postgresql-$$v-pgpool2 USE_PGXS=1 PG_CONFIG=$$PG_CONFIG ; \
 		fi \
 	done
@@ -62,4 +64,4 @@
 	dh_install --list-missing
 
 %:
-	dh $@
+	dh $@ --with autoreconf

=== debian/tests/control ===
Depends: @, postgresql, default-jdk, libpostgresql-jdbc-java
# Squeeze needs "| libpg-java", but adt doesn't like "|" there
Restrictions: needs-root
Tests: jdbc-tests

## pgpool2 3.3.3

=== debian/changelog ===
pgpool2 (3.3.3-3) unstable; urgency=medium

  * debian/tests/jdbc-tests: Depend postgresql-common >= 159 for locale_gen.
  * Build 9.4 extension.
  * Add installcheck test with CREATE EXTENSION.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:29:49 +0200

pgpool2 (3.3.3-2) unstable; urgency=medium

  * Set team as maintainer.
  * debian/tests/jdbc-tests: Generate missing locale.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 24 Apr 2014 14:19:27 +0200

pgpool2 (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-autoreconf.  Closes: #732928.
  * Add some fixes to run test/regression/ tests (WIP).
  * Fix test/timestamp tests, thanks Julian Schauder.
  * Fix test/jdbc/BatchTest2.java.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 22 Apr 2014 16:02:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pgpool2
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), libpq-dev, postgresql-server-dev-all (>= 148~),
  libpam0g-dev, libssl-dev, libmemcached-dev, dh-autoreconf,
 # test/parser:
  bison, flex, ruby
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgpool2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgpool2.git
@@ -60,13 +60,13 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-9.3-pgpool2
+Package: postgresql-9.4-pgpool2
 Architecture: any
-Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 9.3 server:
+ the PostgreSQL 9.4 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	rm -rf test/parser/result test/parser/test.diff
 	$(MAKE) -C test/timestamp clean
 	rm -rf test/timestamp/result test/timestamp/test.diff
+	cd test/regression && bash clean.sh
 	rm -rf debian/postgresql-*-pgpool2/ debian/*.substvars
 
 override_dh_auto_configure:

=== debian/tests/control ===
# pgcommon.sh introduced in pg-common 159
# Squeeze needs "| libpg-java"
Depends: @, postgresql-common (>= 159~), postgresql, default-jdk, libpostgresql-jdbc-java | libpg-java
Restrictions: needs-root
Tests: jdbc-tests

Depends: @
Restrictions: allow-stderr
Tests: installcheck

## pgpool2 3.3.4

=== debian/changelog ===
pgpool2 (3.3.4-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Remove Build-Dependency on dh-systemd.
  * Run libtoolize in debian/rules.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 24 Nov 2015 16:28:50 +0100

pgpool2 (3.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove test patches that no longer apply.
  * Skip installcheck test on 8.4/9.0.
  * Add systemd service file, initial patch by Michael Stapelberg, thanks!
    Closes: #756453.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Oct 2014 21:36:17 +0200

=== debian/control ===
--- 
+++ 
@@ -60,6 +60,18 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
+Package: postgresql-9.1-pgpool2
+Architecture: any
+Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 9.1 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
 Package: postgresql-9.4-pgpool2
 Architecture: any
 Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -65,4 +65,13 @@
 	dh_install --list-missing
 
 %:
+# use dh_systemd_* only on recent dists that have dh-systemd (>= 1.19)
+ifneq ($(wildcard /usr/bin/dh_systemd_start),)
+	dh $@ --with autoreconf,systemd
+else
 	dh $@ --with autoreconf
+endif
+
+override_dh_autoreconf:
+	libtoolize
+	dh_autoreconf

## pgpool2 3.4.3

=== src/sql/Makefile ===
# $Header$
#
# pgpool: a language independent connection pool server for PostgreSQL
# written by Tatsuo Ishii
#
# Copyright (c) 2003-2013	PgPool Global Development Group
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby
# granted, provided that the above copyright notice appear in all
# copies and that both that copyright notice and this permission
# notice appear in supporting documentation, and that the name of the
# author not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. The author makes no representations about the
# suitability of this software for any purpose.  It is provided "as
# is" without express or implied warranty.
#
# Makefile for sql/ directory.

subdir = sql

# if you are using PostgreSQL 8.0 or later,
# using pg_config is recommended.
# if you are not, comment out following line and...
USE_PGXS = true
# set top_builddir to the PostgreSQL build source tree top.
# (for example /usr/local/src/postgresql-9.0) 
top_builddir = ..

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

SUBDIRS = \
		pgpool-recovery \
		pgpool-regclass \
		pgpool_adm

$(recurse)

=== src/sql/pgpool_adm/Makefile ===
# contrib/pcp/Makefile

MODULE_big = pgpool_adm
OBJS = pgpool_adm.o
PG_CPPFLAGS = -I$(libpq_srcdir) -I../../include/pcp

EXTENSION = pgpool_adm
DATA = pgpool_adm--1.0.sql
SHLIB_LINK = -L../../libs/pcp/.libs -lpcp

# if you are using PostgreSQL 8.0 or later,
# using pg_config is recommended.
# if you are not, comment out following line and...
USE_PGXS = true
# set top_builddir to the PostgreSQL build source tree top.
# (for example /usr/local/src/postgresql-8.4) 
top_builddir = ../..

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgpool_adm
#top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
pgpool2 (3.4.3-1) unstable; urgency=medium

  [ Marco Nenciarini ]
  * Imported Upstream version 3.4.3
  * Adapt packaging to 3.4 source layout
  * Disable parser and timestamp tests because they are broken
  * Bump Standards-Version to 3.9.6 (no changes required)
  * Remove old lintian overrides and svn-buildpackage config
  * Install the new pgpool.8 manpage
  * Add pgpool2-dbg debug package
  * Add myself to Uploaders
  * Remove support for pgpool extensions with Postgres versions less than 9.3
  * Fix jdbc tests when systemd is active
  * Build for PostgreSQL 9.5 (Closes: #810636)

  [ Christoph Berg ]
  * Explicitly bind to 127.0.0.1 when running tests

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 02 Feb 2016 22:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends: debhelper (>= 9), libpq-dev, postgresql-server-dev-all (>= 148~),
  libpam0g-dev, libssl-dev, libmemcached-dev, dh-autoreconf,
+ dh-systemd (>= 1.19),
 # test/parser:
- bison, flex, ruby
-Standards-Version: 3.9.5
+# bison, flex, ruby
+Standards-Version: 3.9.6
 Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgpool2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgpool2.git
@@ -39,6 +40,30 @@
  .
  This is version 3 of pgpool-II, the second generation of pgpool.
 
+Package: pgpool2-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libpgpool0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: debugging symbols for pgpool2 and libpgpool0
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client. It provides the following features:
+ .
+  * Connection Pooling
+  * Replication
+  * Load Balance
+  * Limiting Exceeding Connections
+  * Parallel Query
+ .
+ pgpool-II talks PostgreSQL's backend and frontend protocol, and relays a
+ connection between them. Therefore, a database application (frontend) thinks
+ that pgpool-II is the actual PostgreSQL server, and the server (backend) sees
+ pgpool-II as one of its clients. Because pgpool-II is transparent to both the
+ server and the client, an existing database application can be used with
+ pgpool-II almost without a change to its sources.
+ .
+ This package contains the debugging symbols for pgpool-II.
+
 Package: libpgpool0
 Architecture: any
 Section: libs
@@ -60,27 +85,15 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-9.1-pgpool2
+Package: postgresql-9.5-pgpool2
 Architecture: any
-Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 9.1 server:
+ the PostgreSQL 9.5 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)
   * pgpool_regclass (PostgreSQL 9.1 and above)
 
-Package: postgresql-9.4-pgpool2
-Architecture: any
-Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
-Description: connection pool server and replication proxy for PostgreSQL - modules
- pgpool-II is a middleware that works between PostgreSQL servers and a
- PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 9.4 server:
- .
-  * pgpool_adm
-  * pgpool_recovery (PostgreSQL 9.1 and above)
-  * pgpool_regclass (PostgreSQL 9.1 and above)
-

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR = .
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

LDFLAGS += -Wl,--as-needed

D=debian/pgpool2

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C src/sql clean
	rm -f config.log
	$(MAKE) -C src/sql/pgpool_adm clean USE_PGXS=1
	rm -rf src/test/jdbc/*.class src/test/jdbc/result src/test/jdbc/pgpool.properties
	# tests disabled because they have been broken in commit cdb49d3
	#$(MAKE) -C src/test/parser clean
	#rm -rf src/test/parser/result src/test/parser/test.diff
	#$(MAKE) -C src/test/timestamp clean
	#rm -rf src/test/timestamp/result src/test/timestamp/test.diff
	cd src/test/regression && bash clean.sh
	rm -rf debian/postgresql-*-pgpool2/ debian/*.substvars

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure --prefix=/usr \
		--sysconfdir=/etc/pgpool2 \
		--bindir=/usr/sbin \
		--includedir=/usr/include/pgpool2 \
		--disable-rpath \
		--with-openssl \
		--with-pam \
		--with-memcached=/usr/include/libmemcached
	# create directory here so we can unlink it in case autopkgtest leaves files owned by root behind
	mkdir -p src/test/jdbc/result

.PHONY: override_dh_auto_test
override_dh_auto_test:
	dh_auto_test
	# tests disabled because they have been broken in commit cdb49d3
	#$(MAKE) -C src/test/parser test
	#chmod +x src/test/timestamp/run-test
	#$(MAKE) -C src/test/timestamp test
	# src/test/jdbc is executed by autopkgtest

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
		echo "# $$v ##################################################################" ; \
		PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config ; \
		$(MAKE) -C src/sql clean PG_CONFIG=$$PG_CONFIG ; \
		$(MAKE) -C src/sql PG_CONFIG=$$PG_CONFIG ; \
		$(MAKE) -C src/sql install DESTDIR=$(CURDIR)/debian/postgresql-$$v-pgpool2 PG_CONFIG=$$PG_CONFIG ; \
	done

.PHONY: override_dh_install
override_dh_install:
	# pgpool.conf is handled by ucf
	mkdir -p debian/tmp/usr/share/pgpool2
	mv debian/tmp/etc/pgpool2/pgpool.conf.sample debian/tmp/usr/share/pgpool2/pgpool.conf
	set -e ; for f in pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
	dh_install --list-missing

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=pgpool2-dbg

%:
# use dh_systemd_* only on recent dists that have dh-systemd (>= 1.19)
ifneq ($(wildcard /usr/bin/dh_systemd_start),)
	dh $@ --with autoreconf,systemd
else
	dh $@ --with autoreconf
endif

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,6 @@
 Restrictions: needs-root
 Tests: jdbc-tests
 
-Depends: @
+Depends: @, postgresql-common (>= 159~)
 Restrictions: allow-stderr
 Tests: installcheck

=== debian/watch ===
version=3
http://www.pgpool.net/mediawiki/index.php/Downloads .*pgpool-II-([0-9.]+).tar.gz

## pgpool2 3.5.3

=== debian/changelog ===
pgpool2 (3.5.3-1) unstable; urgency=medium

  * Imported Upstream version 3.5.3 (Closes: 828769).
  * Add myself to uploaders.
  * Bump standards version to 3.9.8.
  * Ship empty pool_passwd file to prevent startup failure.
  * Add flex to B-D.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 18 Jun 2016 13:01:33 +0200

pgpool2 (3.5.0-1~1.gbp815608) unstable; urgency=medium

  ** SNAPSHOT build @81560881464342d9cdd0b992673274a62036ab64 **

  [ Christoph Berg ]
  * Add reload capability to init script, thanks to Gunnar "Nick" Bluth for
    the patch!

  [ Marco Nenciarini ]
  * Update debian/watch file
  * Imported Upstream version 3.5.0

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 24 Feb 2016 00:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>, Marco Nenciarini <mnencia@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>,
+ Marco Nenciarini <mnencia@debian.org>,
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9), libpq-dev, postgresql-server-dev-all (>= 148~),
  libpam0g-dev, libssl-dev, libmemcached-dev, dh-autoreconf,
- dh-systemd (>= 1.19),
+ dh-systemd (>= 1.19), flex,
 # test/parser:
 # bison, flex, ruby
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgpool2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgpool2.git

## pgpool2 3.6.1

=== debian/changelog ===
pgpool2 (3.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 12 Jan 2017 10:51:06 +0100

pgpool2 (3.6.0-1) unstable; urgency=medium

  * New upstream version.
  * B-D on libssl1.0-dev. (Closes: #828497)
  * Add B-D to build sgml docs and the grammar.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Dec 2016 18:25:14 +0100

pgpool2 (3.5.4-2) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Sep 2016 19:39:54 +0200

pgpool2 (3.5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 16 Sep 2016 19:37:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,29 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>,
+Uploaders:
+ Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>,
- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 9), libpq-dev, postgresql-server-dev-all (>= 148~),
- libpam0g-dev, libssl-dev, libmemcached-dev, dh-autoreconf,
- dh-systemd (>= 1.19), flex,
-# test/parser:
-# bison, flex, ruby
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
+Build-Depends:
+ bison,
+ debhelper (>= 9),
+ dh-autoreconf,
+ dh-systemd (>= 1.19),
+ docbook,
+ docbook-dsssl,
+ docbook-xml,
+ docbook-xsl,
+ flex,
+ libmemcached-dev,
+ libpam0g-dev,
+ libpq-dev,
+ libssl1.0-dev | libssl-dev (<< 1.1),
+ libxml2-utils,
+ openjade,
+ opensp,
+ postgresql-server-dev-all (>= 148~),
+ xsltproc,
 Standards-Version: 3.9.8
 Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgpool2.git
@@ -18,8 +33,13 @@
 
 Package: pgpool2
 Architecture: any
-Depends: lsb-base (>= 3.0-3), postgresql-common (>= 26), ucf,
- ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Depends:
+ libpgpool0 (= ${binary:Version}),
+ lsb-base (>= 3.0-3),
+ postgresql-common (>= 26),
+ ucf,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Enhances: postgresql
 Conflicts: pgpool
 Replaces: pgpool
@@ -79,7 +99,7 @@
 Package: libpgpool-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Depends: libpgpool0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 # We also provide /usr/lib/libpcp.{a,so}
 Conflicts: libpcp3-dev
 Description: pgpool control protocol library - headers
@@ -87,13 +107,17 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-9.5-pgpool2
+Package: postgresql-9.6-pgpool2
 Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}, libpgpool0 (= ${binary:Version})
+Depends:
+ libpgpool0 (= ${binary:Version}),
+ postgresql-9.6,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 9.5 server:
+ the PostgreSQL 9.6 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,11 @@
 	mkdir -p debian/tmp/usr/share/pgpool2
 	mv debian/tmp/etc/pgpool2/pgpool.conf.sample debian/tmp/usr/share/pgpool2/pgpool.conf
 	set -e ; for f in pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
-	dh_install --list-missing
+	rm debian/tmp/usr/lib/libpcp.la # not interested in .la
+	dh_install --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 .PHONY: override_dh_strip
 override_dh_strip:

## pgpool2 3.6.5

=== debian/changelog ===
pgpool2 (3.6.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Jul 2017 20:43:10 +0200

pgpool2 (3.6.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 15 May 2017 16:28:17 +0200

pgpool2 (3.6.2-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Mar 2017 22:10:10 +0200

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
  opensp,
  postgresql-server-dev-all (>= 148~),
  xsltproc,
-Standards-Version: 3.9.8
-Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgpool2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgpool2.git
+Standards-Version: 4.0.0
+Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
+Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgpool2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgpool2.git
 XS-Testsuite: autopkgtest
 
 Package: pgpool2
